include:
  remote: 'https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v2.1.1/jobtech-ci.yml'



variables:
  DEPLOYS_DISABLED: 1
  TEST_DISABLED: 1     # disable buildpack test job


# Purpose of test:
#   - run program to add IDs to some ads, and compare with expected output
test_joblinks_importer:
  stage: test
  image:
    name: $BRANCH_IMAGE
    entrypoint: [""]    # delete the entrypoint in the dockerfile so we can run script
  
  script:
    - python -m poetry run pytest -m unit tests/unit_tests 
    - touch /.tests-successful


